Bug 246904 - Initscript Review
Initscript Review
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: denyhosts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:49 EDT by Harald Hoyer
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 15:15:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:49:09 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Jason Tibbitts 2007-08-24 15:15:48 EDT
I've fixed this in rawhide to the limits of my understanding.  The existing
documentation is terrible, and there's no list anywhere of what services we can
depend on.  Is it cron or crond?  sendmail or mta or something else?  Of course,
crond and sendmail scripts don't have LSB-compliant initscripts so it's
impossible to tell what they would have for "Provides:".

I honestly don't think these tickets should have been filed until at least the
basic system daemons had been fixed so we'd have something to look at.

Note You need to log in before you can comment on or make changes to this bug.